Index: branches/new_class_id/src/lib/network/network_game_manager.h
===================================================================
--- branches/new_class_id/src/lib/network/network_game_manager.h	(revision 9714)
+++ branches/new_class_id/src/lib/network/network_game_manager.h	(revision 9715)
@@ -33,5 +33,5 @@
 class NetworkGameManager: public Synchronizeable
 {
-  NewObjectListDeclaration(NetworkGameManager);
+  ObjectListDeclaration(NetworkGameManager);
   public:
     virtual ~NetworkGameManager();
Index: branches/new_class_id/src/lib/network/network_manager.cc
===================================================================
--- branches/new_class_id/src/lib/network/network_manager.cc	(revision 9714)
+++ branches/new_class_id/src/lib/network/network_manager.cc	(revision 9715)
@@ -40,5 +40,5 @@
 
 
-NewObjectListDefinition(NetworkManager);
+ObjectListDefinition(NetworkManager);
 NetworkManager* NetworkManager::singletonRef = NULL;
 
Index: branches/new_class_id/src/lib/network/network_manager.h
===================================================================
--- branches/new_class_id/src/lib/network/network_manager.h	(revision 9714)
+++ branches/new_class_id/src/lib/network/network_manager.h	(revision 9715)
@@ -25,5 +25,5 @@
 class NetworkManager : public BaseObject
 {
-  NewObjectListDeclaration(NetworkManager);
+  ObjectListDeclaration(NetworkManager);
   public:
 
Index: branches/new_class_id/src/lib/network/network_protocol.cc
===================================================================
--- branches/new_class_id/src/lib/network/network_protocol.cc	(revision 9714)
+++ branches/new_class_id/src/lib/network/network_protocol.cc	(revision 9715)
@@ -35,5 +35,5 @@
 
 
-NewObjectListDefinition(NetworkProtocol);
+ObjectListDefinition(NetworkProtocol);
 /**
   standard constructor
Index: branches/new_class_id/src/lib/network/network_protocol.h
===================================================================
--- branches/new_class_id/src/lib/network/network_protocol.h	(revision 9714)
+++ branches/new_class_id/src/lib/network/network_protocol.h	(revision 9715)
@@ -25,5 +25,5 @@
 class NetworkProtocol : virtual public BaseObject
 {
-  NewObjectListDeclaration(NetworkProtocol);
+  ObjectListDeclaration(NetworkProtocol);
   public:
     NetworkProtocol();
Index: branches/new_class_id/src/lib/network/network_socket.cc
===================================================================
--- branches/new_class_id/src/lib/network/network_socket.cc	(revision 9714)
+++ branches/new_class_id/src/lib/network/network_socket.cc	(revision 9715)
@@ -24,5 +24,5 @@
 #include "network_socket.h"
 
-NewObjectListDefinition(NetworkSocket);
+ObjectListDefinition(NetworkSocket);
 /**
  * Default constructor
Index: branches/new_class_id/src/lib/network/network_socket.h
===================================================================
--- branches/new_class_id/src/lib/network/network_socket.h	(revision 9714)
+++ branches/new_class_id/src/lib/network/network_socket.h	(revision 9715)
@@ -17,5 +17,5 @@
 class NetworkSocket : public BaseObject
 {
-  NewObjectListDeclaration(NetworkSocket);
+  ObjectListDeclaration(NetworkSocket);
   public:
     NetworkSocket();
Index: branches/new_class_id/src/lib/network/network_stream.cc
===================================================================
--- branches/new_class_id/src/lib/network/network_stream.cc	(revision 9714)
+++ branches/new_class_id/src/lib/network/network_stream.cc	(revision 9715)
@@ -54,5 +54,5 @@
 #define PACKAGE_SIZE  256
 
-NewObjectListDefinition(NetworkStream);
+ObjectListDefinition(NetworkStream);
 /**
  * empty constructor
Index: branches/new_class_id/src/lib/network/network_stream.h
===================================================================
--- branches/new_class_id/src/lib/network/network_stream.h	(revision 9714)
+++ branches/new_class_id/src/lib/network/network_stream.h	(revision 9715)
@@ -33,5 +33,5 @@
 class NetworkStream : public DataStream
 {
-  NewObjectListDeclaration(NetworkStream);
+  ObjectListDeclaration(NetworkStream);
   public:
     NetworkStream();
Index: branches/new_class_id/src/lib/network/player_stats.cc
===================================================================
--- branches/new_class_id/src/lib/network/player_stats.cc	(revision 9714)
+++ branches/new_class_id/src/lib/network/player_stats.cc	(revision 9715)
@@ -32,5 +32,5 @@
 #include "class_id.h"
 
-NewObjectListDefinitionID(PlayerStats, CL_PLAYER_STATS);
+ObjectListDefinitionID(PlayerStats, CL_PLAYER_STATS);
 CREATE_FACTORY(PlayerStats);
 
@@ -123,5 +123,5 @@
 PlayerStats * PlayerStats::getStats( int userId )
 {
-  for (NewObjectList<PlayerStats>::const_iterator it = PlayerStats::objectList().begin();
+  for (ObjectList<PlayerStats>::const_iterator it = PlayerStats::objectList().begin();
        it != PlayerStats::objectList().end();
        ++it)
@@ -142,5 +142,5 @@
 {
   this->playable = NULL;
-  for (NewObjectList<Playable>::const_iterator it = Playable::objectList().begin();
+  for (ObjectList<Playable>::const_iterator it = Playable::objectList().begin();
        it != Playable::objectList().end();
        ++it)
@@ -266,5 +266,5 @@
   ScoreList result;
 
-  for (NewObjectList<PlayerStats>::const_iterator it = PlayerStats::objectList().begin();
+  for (ObjectList<PlayerStats>::const_iterator it = PlayerStats::objectList().begin();
        it != PlayerStats::objectList().end();
        ++it)
Index: branches/new_class_id/src/lib/network/player_stats.h
===================================================================
--- branches/new_class_id/src/lib/network/player_stats.h	(revision 9714)
+++ branches/new_class_id/src/lib/network/player_stats.h	(revision 9715)
@@ -36,5 +36,5 @@
 class PlayerStats : public Synchronizeable
 {
-  NewObjectListDeclaration(PlayerStats);
+  ObjectListDeclaration(PlayerStats);
   public:
     PlayerStats( const TiXmlElement* root = NULL );
@@ -58,5 +58,5 @@
 
     inline int getPlayableClassId(){ return playableClassId; }
-    void setPlayableClassId( const NewClassID& classId ){ this->playableClassId = classId.id(); };
+    void setPlayableClassId( const ClassID& classId ){ this->playableClassId = classId.id(); };
 
     inline int getPlayableUniqueId(){ return playableUniqueId; }
Index: branches/new_class_id/src/lib/network/proxy/network_settings.cc
===================================================================
--- branches/new_class_id/src/lib/network/proxy/network_settings.cc	(revision 9714)
+++ branches/new_class_id/src/lib/network/proxy/network_settings.cc	(revision 9715)
@@ -27,5 +27,5 @@
 
 
-NewObjectListDefinition(NetworkSettings);
+ObjectListDefinition(NetworkSettings);
 
 NetworkSettings* NetworkSettings::singletonRef = NULL;
Index: branches/new_class_id/src/lib/network/proxy/network_settings.h
===================================================================
--- branches/new_class_id/src/lib/network/proxy/network_settings.h	(revision 9714)
+++ branches/new_class_id/src/lib/network/proxy/network_settings.h	(revision 9715)
@@ -24,5 +24,5 @@
 class NetworkSettings : public BaseObject
 {
-  NewObjectListDeclaration(NetworkSettings);
+  ObjectListDeclaration(NetworkSettings);
   public:
     inline static NetworkSettings* getInstance() { if (!NetworkSettings::singletonRef) NetworkSettings::singletonRef = new NetworkSettings();
Index: branches/new_class_id/src/lib/network/proxy/proxy_control.cc
===================================================================
--- branches/new_class_id/src/lib/network/proxy/proxy_control.cc	(revision 9714)
+++ branches/new_class_id/src/lib/network/proxy/proxy_control.cc	(revision 9715)
@@ -40,5 +40,5 @@
 
 SHELL_COMMAND(forceReconnect, ProxyControl, forceReconnectionShell);
-NewObjectListDefinition(ProxyControl);
+ObjectListDefinition(ProxyControl);
 
 /**
Index: branches/new_class_id/src/lib/network/proxy/proxy_control.h
===================================================================
--- branches/new_class_id/src/lib/network/proxy/proxy_control.h	(revision 9714)
+++ branches/new_class_id/src/lib/network/proxy/proxy_control.h	(revision 9715)
@@ -30,5 +30,5 @@
 class ProxyControl : public Synchronizeable
 {
-  NewObjectListDeclaration(ProxyControl);
+  ObjectListDeclaration(ProxyControl);
   public:
     inline static ProxyControl* getInstance() { if (!ProxyControl::singletonRef) ProxyControl::singletonRef = new ProxyControl();
Index: branches/new_class_id/src/lib/network/server_socket.cc
===================================================================
--- branches/new_class_id/src/lib/network/server_socket.cc	(revision 9714)
+++ branches/new_class_id/src/lib/network/server_socket.cc	(revision 9715)
@@ -23,5 +23,5 @@
 #include "server_socket.h"
 
-NewObjectListDefinition(ServerSocket);
+ObjectListDefinition(ServerSocket);
 /**
  * constructor
Index: branches/new_class_id/src/lib/network/server_socket.h
===================================================================
--- branches/new_class_id/src/lib/network/server_socket.h	(revision 9714)
+++ branches/new_class_id/src/lib/network/server_socket.h	(revision 9715)
@@ -19,5 +19,5 @@
 class ServerSocket : public BaseObject
 {
-  NewObjectListDeclaration(ServerSocket);
+  ObjectListDeclaration(ServerSocket);
   public:
     ServerSocket( int port);
Index: branches/new_class_id/src/lib/network/shared_network_data.cc
===================================================================
--- branches/new_class_id/src/lib/network/shared_network_data.cc	(revision 9714)
+++ branches/new_class_id/src/lib/network/shared_network_data.cc	(revision 9715)
@@ -25,5 +25,5 @@
 
 
-NewObjectListDefinition(SharedNetworkData);
+ObjectListDefinition(SharedNetworkData);
 SharedNetworkData* SharedNetworkData::singletonRef = NULL;
 
Index: branches/new_class_id/src/lib/network/shared_network_data.h
===================================================================
--- branches/new_class_id/src/lib/network/shared_network_data.h	(revision 9714)
+++ branches/new_class_id/src/lib/network/shared_network_data.h	(revision 9715)
@@ -22,5 +22,5 @@
 class SharedNetworkData : public BaseObject
 {
-  NewObjectListDeclaration(SharedNetworkData);
+  ObjectListDeclaration(SharedNetworkData);
   public:
     inline static SharedNetworkData* getInstance() { if (!SharedNetworkData::singletonRef) SharedNetworkData::singletonRef = new SharedNetworkData();
Index: branches/new_class_id/src/lib/network/synchronizeable.cc
===================================================================
--- branches/new_class_id/src/lib/network/synchronizeable.cc	(revision 9714)
+++ branches/new_class_id/src/lib/network/synchronizeable.cc	(revision 9715)
@@ -32,5 +32,5 @@
 
 
-NewObjectListDefinition(Synchronizeable);
+ObjectListDefinition(Synchronizeable);
 
 /**
Index: branches/new_class_id/src/lib/network/synchronizeable.h
===================================================================
--- branches/new_class_id/src/lib/network/synchronizeable.h	(revision 9714)
+++ branches/new_class_id/src/lib/network/synchronizeable.h	(revision 9715)
@@ -41,5 +41,5 @@
 class Synchronizeable : virtual public BaseObject
 {
-  NewObjectListDeclaration(Synchronizeable);
+  ObjectListDeclaration(Synchronizeable);
 
   public:
Index: branches/new_class_id/src/lib/network/tcp_server_socket.cc
===================================================================
--- branches/new_class_id/src/lib/network/tcp_server_socket.cc	(revision 9714)
+++ branches/new_class_id/src/lib/network/tcp_server_socket.cc	(revision 9715)
@@ -26,5 +26,5 @@
 #include "debug.h"
 
-NewObjectListDefinition(TcpServerSocket);
+ObjectListDefinition(TcpServerSocket);
 TcpServerSocket::TcpServerSocket( int port ) : ServerSocket( port )
 {
Index: branches/new_class_id/src/lib/network/tcp_server_socket.h
===================================================================
--- branches/new_class_id/src/lib/network/tcp_server_socket.h	(revision 9714)
+++ branches/new_class_id/src/lib/network/tcp_server_socket.h	(revision 9715)
@@ -19,5 +19,5 @@
 class TcpServerSocket : public ServerSocket
 {
-  NewObjectListDeclaration(TcpServerSocket);
+  ObjectListDeclaration(TcpServerSocket);
   public:
     TcpServerSocket( int port );
Index: branches/new_class_id/src/lib/network/tcp_socket.cc
===================================================================
--- branches/new_class_id/src/lib/network/tcp_socket.cc	(revision 9714)
+++ branches/new_class_id/src/lib/network/tcp_socket.cc	(revision 9715)
@@ -30,5 +30,5 @@
 #include "debug.h"
 
-NewObjectListDefinition(TcpSocket);
+ObjectListDefinition(TcpSocket);
 /**
  * Default constructor
Index: branches/new_class_id/src/lib/network/tcp_socket.h
===================================================================
--- branches/new_class_id/src/lib/network/tcp_socket.h	(revision 9714)
+++ branches/new_class_id/src/lib/network/tcp_socket.h	(revision 9715)
@@ -40,5 +40,5 @@
 class TcpSocket : public NetworkSocket
 {
-  NewObjectListDeclaration(TcpSocket);
+  ObjectListDeclaration(TcpSocket);
   public:
     TcpSocket();
Index: branches/new_class_id/src/lib/network/udp_server_socket.cc
===================================================================
--- branches/new_class_id/src/lib/network/udp_server_socket.cc	(revision 9714)
+++ branches/new_class_id/src/lib/network/udp_server_socket.cc	(revision 9715)
@@ -18,5 +18,5 @@
 
 
-NewObjectListDefinition(UdpServerSocket);
+ObjectListDefinition(UdpServerSocket);
 /**
  * constructor
Index: branches/new_class_id/src/lib/network/udp_server_socket.h
===================================================================
--- branches/new_class_id/src/lib/network/udp_server_socket.h	(revision 9714)
+++ branches/new_class_id/src/lib/network/udp_server_socket.h	(revision 9715)
@@ -50,5 +50,5 @@
 class UdpServerSocket : public ServerSocket
 {
-  NewObjectListDeclaration(UdpServerSocket);
+  ObjectListDeclaration(UdpServerSocket);
   public:
     UdpServerSocket( int port);
Index: branches/new_class_id/src/lib/network/udp_socket.cc
===================================================================
--- branches/new_class_id/src/lib/network/udp_socket.cc	(revision 9714)
+++ branches/new_class_id/src/lib/network/udp_socket.cc	(revision 9715)
@@ -18,5 +18,5 @@
 #include "debug.h"
 
-NewObjectListDefinition(UdpSocket);
+ObjectListDefinition(UdpSocket);
 
 void UdpSocket::init( )
Index: branches/new_class_id/src/lib/network/udp_socket.h
===================================================================
--- branches/new_class_id/src/lib/network/udp_socket.h	(revision 9714)
+++ branches/new_class_id/src/lib/network/udp_socket.h	(revision 9715)
@@ -24,5 +24,5 @@
 class UdpSocket : public NetworkSocket
 {
-  NewObjectListDeclaration(UdpSocket);
+  ObjectListDeclaration(UdpSocket);
   public:
     UdpSocket();
Index: branches/new_class_id/src/lib/particles/box_emitter.cc
===================================================================
--- branches/new_class_id/src/lib/particles/box_emitter.cc	(revision 9714)
+++ branches/new_class_id/src/lib/particles/box_emitter.cc	(revision 9715)
@@ -26,5 +26,5 @@
 #include "class_id.h"
 
-NewObjectListDefinitionID(BoxEmitter, CL_BOX_EMITTER);
+ObjectListDefinitionID(BoxEmitter, CL_BOX_EMITTER);
 CREATE_FACTORY(BoxEmitter);
 
Index: branches/new_class_id/src/lib/particles/box_emitter.h
===================================================================
--- branches/new_class_id/src/lib/particles/box_emitter.h	(revision 9714)
+++ branches/new_class_id/src/lib/particles/box_emitter.h	(revision 9715)
@@ -19,5 +19,5 @@
 class BoxEmitter : public ParticleEmitter
 {
-  NewObjectListDeclaration(BoxEmitter);
+  ObjectListDeclaration(BoxEmitter);
   friend class ParticleSystem;
 public:
Index: branches/new_class_id/src/lib/particles/dot_emitter.cc
===================================================================
--- branches/new_class_id/src/lib/particles/dot_emitter.cc	(revision 9714)
+++ branches/new_class_id/src/lib/particles/dot_emitter.cc	(revision 9715)
@@ -27,5 +27,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(DotEmitter, CL_DOT_EMITTER);
+ObjectListDefinitionID(DotEmitter, CL_DOT_EMITTER);
 CREATE_FACTORY(DotEmitter);
 
Index: branches/new_class_id/src/lib/particles/dot_emitter.h
===================================================================
--- branches/new_class_id/src/lib/particles/dot_emitter.h	(revision 9714)
+++ branches/new_class_id/src/lib/particles/dot_emitter.h	(revision 9715)
@@ -12,5 +12,5 @@
 class DotEmitter : public ParticleEmitter
 {
-  NewObjectListDeclaration(DotEmitter);
+  ObjectListDeclaration(DotEmitter);
 
   friend class ParticleSystem;
Index: branches/new_class_id/src/lib/particles/dot_particles.cc
===================================================================
--- branches/new_class_id/src/lib/particles/dot_particles.cc	(revision 9714)
+++ branches/new_class_id/src/lib/particles/dot_particles.cc	(revision 9715)
@@ -26,5 +26,5 @@
 #include "class_id.h"
 
-NewObjectListDefinitionID(DotParticles, CL_DOT_PARTICLES);
+ObjectListDefinitionID(DotParticles, CL_DOT_PARTICLES);
 CREATE_FACTORY(DotParticles);
 
Index: branches/new_class_id/src/lib/particles/dot_particles.h
===================================================================
--- branches/new_class_id/src/lib/particles/dot_particles.h	(revision 9714)
+++ branches/new_class_id/src/lib/particles/dot_particles.h	(revision 9715)
@@ -13,5 +13,5 @@
 class DotParticles : public ParticleSystem
 {
-  NewObjectListDeclaration(DotParticles);
+  ObjectListDeclaration(DotParticles);
 
 public:
Index: branches/new_class_id/src/lib/particles/model_particles.cc
===================================================================
--- branches/new_class_id/src/lib/particles/model_particles.cc	(revision 9714)
+++ branches/new_class_id/src/lib/particles/model_particles.cc	(revision 9715)
@@ -26,5 +26,5 @@
 #include "class_id.h"
 
-NewObjectListDefinitionID(ModelParticles, CL_MODEL_PARTICLES);
+ObjectListDefinitionID(ModelParticles, CL_MODEL_PARTICLES);
 CREATE_FACTORY(ModelParticles);
 
Index: branches/new_class_id/src/lib/particles/model_particles.h
===================================================================
--- branches/new_class_id/src/lib/particles/model_particles.h	(revision 9714)
+++ branches/new_class_id/src/lib/particles/model_particles.h	(revision 9715)
@@ -13,5 +13,5 @@
 class ModelParticles : public ParticleSystem
 {
-  NewObjectListDeclaration(ModelParticles);
+  ObjectListDeclaration(ModelParticles);
 
 public:
Index: branches/new_class_id/src/lib/particles/particle_emitter.cc
===================================================================
--- branches/new_class_id/src/lib/particles/particle_emitter.cc	(revision 9714)
+++ branches/new_class_id/src/lib/particles/particle_emitter.cc	(revision 9715)
@@ -23,5 +23,5 @@
 #include "debug.h"
 
-NewObjectListDefinition(ParticleEmitter);
+ObjectListDefinition(ParticleEmitter);
 
 /**
Index: branches/new_class_id/src/lib/particles/particle_emitter.h
===================================================================
--- branches/new_class_id/src/lib/particles/particle_emitter.h	(revision 9714)
+++ branches/new_class_id/src/lib/particles/particle_emitter.h	(revision 9715)
@@ -23,5 +23,5 @@
 class ParticleEmitter : public PNode
 {
-  NewObjectListDeclaration(ParticleEmitter);
+  ObjectListDeclaration(ParticleEmitter);
   friend class ParticleSystem;
 public:
Index: branches/new_class_id/src/lib/particles/particle_system.cc
===================================================================
--- branches/new_class_id/src/lib/particles/particle_system.cc	(revision 9714)
+++ branches/new_class_id/src/lib/particles/particle_system.cc	(revision 9715)
@@ -32,5 +32,5 @@
 #include <algorithm>
 
-NewObjectListDefinition(ParticleSystem);
+ObjectListDefinition(ParticleSystem);
 
 /**
Index: branches/new_class_id/src/lib/particles/particle_system.h
===================================================================
--- branches/new_class_id/src/lib/particles/particle_system.h	(revision 9714)
+++ branches/new_class_id/src/lib/particles/particle_system.h	(revision 9715)
@@ -56,5 +56,5 @@
 //! A class to handle ParticleSystems
 class ParticleSystem : public WorldEntity, public PhysicsInterface {
-  NewObjectListDeclaration(ParticleSystem);
+  ObjectListDeclaration(ParticleSystem);
 
  public:
Index: branches/new_class_id/src/lib/particles/plane_emitter.cc
===================================================================
--- branches/new_class_id/src/lib/particles/plane_emitter.cc	(revision 9714)
+++ branches/new_class_id/src/lib/particles/plane_emitter.cc	(revision 9715)
@@ -26,5 +26,5 @@
 #include "class_id.h"
 
-NewObjectListDefinitionID(PlaneEmitter, CL_PLANE_EMITTER);
+ObjectListDefinitionID(PlaneEmitter, CL_PLANE_EMITTER);
 CREATE_FACTORY(PlaneEmitter);
 
Index: branches/new_class_id/src/lib/particles/plane_emitter.h
===================================================================
--- branches/new_class_id/src/lib/particles/plane_emitter.h	(revision 9714)
+++ branches/new_class_id/src/lib/particles/plane_emitter.h	(revision 9715)
@@ -21,5 +21,5 @@
 class PlaneEmitter : public ParticleEmitter
 {
-  NewObjectListDeclaration(PlaneEmitter);
+  ObjectListDeclaration(PlaneEmitter);
 
   friend class ParticleSystem;
Index: branches/new_class_id/src/lib/particles/spark_particles.cc
===================================================================
--- branches/new_class_id/src/lib/particles/spark_particles.cc	(revision 9714)
+++ branches/new_class_id/src/lib/particles/spark_particles.cc	(revision 9715)
@@ -26,5 +26,5 @@
 #include "class_id.h"
 
-NewObjectListDefinitionID(SparkParticles, CL_SPARK_PARTICLES);
+ObjectListDefinitionID(SparkParticles, CL_SPARK_PARTICLES);
 CREATE_FACTORY(SparkParticles);
 
Index: branches/new_class_id/src/lib/particles/spark_particles.h
===================================================================
--- branches/new_class_id/src/lib/particles/spark_particles.h	(revision 9714)
+++ branches/new_class_id/src/lib/particles/spark_particles.h	(revision 9715)
@@ -13,5 +13,5 @@
 class SparkParticles : public ParticleSystem
 {
-  NewObjectListDeclaration(SparkParticles);
+  ObjectListDeclaration(SparkParticles);
 
 public:
Index: branches/new_class_id/src/lib/particles/sprite_particles.cc
===================================================================
--- branches/new_class_id/src/lib/particles/sprite_particles.cc	(revision 9714)
+++ branches/new_class_id/src/lib/particles/sprite_particles.cc	(revision 9715)
@@ -26,5 +26,5 @@
 #include "class_id.h"
 
-NewObjectListDefinitionID(SpriteParticles, CL_SPRITE_PARTICLES);
+ObjectListDefinitionID(SpriteParticles, CL_SPRITE_PARTICLES);
 CREATE_FACTORY(SpriteParticles);
 
Index: branches/new_class_id/src/lib/particles/sprite_particles.h
===================================================================
--- branches/new_class_id/src/lib/particles/sprite_particles.h	(revision 9714)
+++ branches/new_class_id/src/lib/particles/sprite_particles.h	(revision 9715)
@@ -13,5 +13,5 @@
 class SpriteParticles : public ParticleSystem
 {
-  NewObjectListDeclaration(SpriteParticles);
+  ObjectListDeclaration(SpriteParticles);
 
 public:
Index: branches/new_class_id/src/lib/physics/fields/field.cc
===================================================================
--- branches/new_class_id/src/lib/physics/fields/field.cc	(revision 9714)
+++ branches/new_class_id/src/lib/physics/fields/field.cc	(revision 9715)
@@ -23,5 +23,5 @@
 #include "util/loading/load_param.h"
 
-NewObjectListDefinition(Field);
+ObjectListDefinition(Field);
 
 /**
Index: branches/new_class_id/src/lib/physics/fields/field.h
===================================================================
--- branches/new_class_id/src/lib/physics/fields/field.h	(revision 9714)
+++ branches/new_class_id/src/lib/physics/fields/field.h	(revision 9715)
@@ -34,5 +34,5 @@
 class Field : public PNode
 {
-  NewObjectListDeclaration(Field);
+  ObjectListDeclaration(Field);
  public:
   Field();
Index: branches/new_class_id/src/lib/physics/fields/gravity.cc
===================================================================
--- branches/new_class_id/src/lib/physics/fields/gravity.cc	(revision 9714)
+++ branches/new_class_id/src/lib/physics/fields/gravity.cc	(revision 9715)
@@ -22,5 +22,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Gravity, CL_FIELD_GRAVITY);
+ObjectListDefinitionID(Gravity, CL_FIELD_GRAVITY);
 
 CREATE_FACTORY(Gravity);
Index: branches/new_class_id/src/lib/physics/fields/gravity.h
===================================================================
--- branches/new_class_id/src/lib/physics/fields/gravity.h	(revision 9714)
+++ branches/new_class_id/src/lib/physics/fields/gravity.h	(revision 9715)
@@ -16,5 +16,5 @@
 //! A class for ...
 class Gravity : public Field {
-  NewObjectListDeclaration(Gravity);
+  ObjectListDeclaration(Gravity);
 
  public:
Index: branches/new_class_id/src/lib/physics/fields/point_gravity.cc
===================================================================
--- branches/new_class_id/src/lib/physics/fields/point_gravity.cc	(revision 9714)
+++ branches/new_class_id/src/lib/physics/fields/point_gravity.cc	(revision 9715)
@@ -21,5 +21,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(PointGravity, CL_FIELD_POINT_GRAVITY);
+ObjectListDefinitionID(PointGravity, CL_FIELD_POINT_GRAVITY);
 
 
Index: branches/new_class_id/src/lib/physics/fields/point_gravity.h
===================================================================
--- branches/new_class_id/src/lib/physics/fields/point_gravity.h	(revision 9714)
+++ branches/new_class_id/src/lib/physics/fields/point_gravity.h	(revision 9715)
@@ -16,5 +16,5 @@
 //! A class for ...
 class PointGravity : public Field {
-  NewObjectListDeclaration(PointGravity);
+  ObjectListDeclaration(PointGravity);
 
  public:
Index: branches/new_class_id/src/lib/physics/fields/twirl.cc
===================================================================
--- branches/new_class_id/src/lib/physics/fields/twirl.cc	(revision 9714)
+++ branches/new_class_id/src/lib/physics/fields/twirl.cc	(revision 9715)
@@ -21,5 +21,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Twirl, CL_FIELD_TWIRL);
+ObjectListDefinitionID(Twirl, CL_FIELD_TWIRL);
 
 
Index: branches/new_class_id/src/lib/physics/fields/twirl.h
===================================================================
--- branches/new_class_id/src/lib/physics/fields/twirl.h	(revision 9714)
+++ branches/new_class_id/src/lib/physics/fields/twirl.h	(revision 9715)
@@ -16,5 +16,5 @@
 //! A class for ...
 class Twirl : public Field {
-  NewObjectListDeclaration(Twirl);
+  ObjectListDeclaration(Twirl);
 
  public:
Index: branches/new_class_id/src/lib/physics/physics_connection.cc
===================================================================
--- branches/new_class_id/src/lib/physics/physics_connection.cc	(revision 9714)
+++ branches/new_class_id/src/lib/physics/physics_connection.cc	(revision 9715)
@@ -28,5 +28,5 @@
 
 #include "class_id.h"
-NewObjectListDefinition(PhysicsConnection);
+ObjectListDefinition(PhysicsConnection);
 CREATE_FACTORY(PhysicsConnection);
 /**
Index: branches/new_class_id/src/lib/physics/physics_connection.h
===================================================================
--- branches/new_class_id/src/lib/physics/physics_connection.h	(revision 9714)
+++ branches/new_class_id/src/lib/physics/physics_connection.h	(revision 9715)
@@ -27,5 +27,5 @@
 class PhysicsConnection : public BaseObject
 {
-  NewObjectListDeclaration(PhysicsConnection);
+  ObjectListDeclaration(PhysicsConnection);
  public:
   PhysicsConnection(PhysicsInterface* subject, Field* field);
Index: branches/new_class_id/src/lib/physics/physics_engine.cc
===================================================================
--- branches/new_class_id/src/lib/physics/physics_engine.cc	(revision 9714)
+++ branches/new_class_id/src/lib/physics/physics_engine.cc	(revision 9715)
@@ -24,5 +24,5 @@
 
 
-NewObjectListDefinition(PhysicsEngine);
+ObjectListDefinition(PhysicsEngine);
 /**
  * @brief standard constructor
@@ -222,5 +222,5 @@
   /* actually tick all the PhysicsInterfaces. Move the objects around */
 
-  NewObjectList<PhysicsInterface>::const_iterator it;
+  ObjectList<PhysicsInterface>::const_iterator it;
   for (it = PhysicsInterface::objectList().begin();
        it != PhysicsInterface::objectList().end();
Index: branches/new_class_id/src/lib/physics/physics_engine.h
===================================================================
--- branches/new_class_id/src/lib/physics/physics_engine.h	(revision 9714)
+++ branches/new_class_id/src/lib/physics/physics_engine.h	(revision 9715)
@@ -22,5 +22,5 @@
 class PhysicsEngine : public BaseObject
 {
-  NewObjectListDeclaration(PhysicsEngine);
+  ObjectListDeclaration(PhysicsEngine);
 public:
   virtual ~PhysicsEngine();
Index: branches/new_class_id/src/lib/physics/physics_interface.cc
===================================================================
--- branches/new_class_id/src/lib/physics/physics_interface.cc	(revision 9714)
+++ branches/new_class_id/src/lib/physics/physics_interface.cc	(revision 9715)
@@ -31,5 +31,5 @@
 
 
-NewObjectListDefinition(PhysicsInterface);
+ObjectListDefinition(PhysicsInterface);
 /**
  * @brief standard constructor
Index: branches/new_class_id/src/lib/physics/physics_interface.h
===================================================================
--- branches/new_class_id/src/lib/physics/physics_interface.h	(revision 9714)
+++ branches/new_class_id/src/lib/physics/physics_interface.h	(revision 9715)
@@ -29,5 +29,5 @@
 class PhysicsInterface : virtual public BaseObject
 {
-  NewObjectListDeclaration(PhysicsInterface);
+  ObjectListDeclaration(PhysicsInterface);
  public:
   PhysicsInterface();
Index: branches/new_class_id/src/lib/script_engine/script.cc
===================================================================
--- branches/new_class_id/src/lib/script_engine/script.cc	(revision 9714)
+++ branches/new_class_id/src/lib/script_engine/script.cc	(revision 9715)
@@ -23,5 +23,5 @@
 #include "parser/tinyxml/tinyxml.h"
 
-NewObjectListDefinition(Script);
+ObjectListDefinition(Script);
 
 CREATE_SCRIPTABLE_CLASS(Script, Script::classID(),
@@ -155,5 +155,5 @@
      }
 
-     BaseObject* object = NewObjectListBase::getBaseObject(objectName, className);
+     BaseObject* object = ObjectListBase::getBaseObject(objectName, className);
     // printf(("%s is at %p \n",objectName.c_str(),object);
      if (object != NULL && !objectIsAdded(objectName))
Index: branches/new_class_id/src/lib/script_engine/script.h
===================================================================
--- branches/new_class_id/src/lib/script_engine/script.h	(revision 9714)
+++ branches/new_class_id/src/lib/script_engine/script.h	(revision 9715)
@@ -22,5 +22,5 @@
 class Script : public BaseObject
 {
-  NewObjectListDeclaration(Script);
+  ObjectListDeclaration(Script);
   public:
     Script(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/lib/script_engine/script_class.cc
===================================================================
--- branches/new_class_id/src/lib/script_engine/script_class.cc	(revision 9714)
+++ branches/new_class_id/src/lib/script_engine/script_class.cc	(revision 9715)
@@ -19,10 +19,10 @@
 #include <cassert>
 
-NewObjectListDefinition(ScriptClass);
+ObjectListDefinition(ScriptClass);
 /**
  * @brief standard constructor
  * @todo this constructor is not jet implemented - do it
 */
-ScriptClass::ScriptClass(const std::string& name, const NewClassID& classID, ScriptMethod* scriptMethods)
+ScriptClass::ScriptClass(const std::string& name, const ClassID& classID, ScriptMethod* scriptMethods)
     : BaseObject(name), _classID(classID)
 {
